:root {
  font-size: 62.5%; /* 1rem = 10px */

  --color-primary: #0d48de;
  --color-secondary: #031a4a;
  --color-text: #414958;

  --font-light: "AntennaCond-Light", arial, helvetica, sans-serif;
  --font-medium: "AntennaCond-Medium", arial, helvetica, sans-serif;
  --font-regular: "AntennaCond-Regular", arial, helvetica, sans-serif;
  --font-bold: "AntennaCond-Bold", arial, helvetica, sans-serif;

  font-family: var(--font-light);
  color: var(--color-text);
}

body {
  margin: 0;
}

.container {
  max-width: 1310px;
  margin-inline: auto;
}

b,
strong {
  font-family: var(--font-bold);
  font-weight: normal;
}

.skip-to-content {
  position: absolute;
  color: var(--colour-secondary);
  background-color: white;
  padding: 1rem;
  font-size: 2.4rem;
  font-family: var(--font-medium);
  top: 0;
  left: 0;
  width: 0.1rem;
  height: 0.1rem;
  margin: 0.5rem 0 0 0.5rem;
  overflow: hidden;
  clip: rect(0.1rem, 0.1rem, 0.1rem, 0.1rem);
  text-decoration: none;

  &:focus {
    z-index: 9999;
    width: auto;
    height: auto;
    clip: auto;
  }
}

.posts-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 3rem;
  margin-block: 4rem;
}

.post-card {
  display: block;
}

.post-card__link {
  display: block;
  text-decoration: none;
  color: inherit;
}

.post-card__image {
  width: 100%;
  height: auto;
  display: block;
  aspect-ratio: 420 /254;
  background-color: #e8e8e8;
  object-fit: cover;
}

.post-card__meta {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-top: 1.2rem;
  font-size: 1.4rem;
  color: var(--color-text);
}

.post-card__title {
  margin-top: 0.5rem;
  font-size: 2.4rem;
  font-family: var(--font-medium);
  line-height: 1.3;
}

.post-card__category {
  font-family: var(--font-medium);
}

.post-card__separator {
  opacity: 0.5;
}

.post-card__reading-time {
  font-family: var(--font-regular);
}

.category-filters ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  align-items: center;
  gap: 0 4rem;
  font-size: 1.6rem;
}

.category-filters__link {
  font-size: 4rem;
  font-family: var(--font-medium);
  text-decoration: none;
  color: #b3bac7;
}

.category-filters__link--active {
  color: var(--color-secondary);
}

.category-filters__link-count {
  font-size: 1.4rem;
  font-family: var(--font-regular);
}
